Skip to main content
PUT
/
remittance_account_enrollments
/
{remittance_account_enrollment}
Update a remittance account enrollment
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/remittance_account_enrollments/{remittance_account_enrollment} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "effective_to": "2025-12-31"
}
'
{
  "id": "<id>",
  "object": "remittance_account_enrollment",
  "data": {
    "remittance_account": {
      "id": "<id>",
      "object": "remittance_account",
      "links": {
        "self": "/remittance_accounts/<id>"
      }
    },
    "work_assignment": {
      "id": "<id>",
      "object": "work_assignment",
      "links": {
        "self": "/work_assignments/<id>"
      }
    },
    "effective_from": "2020-01-01",
    "effective_to": "2025-12-31",
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/remittance_account_enrollments/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

remittance_account_enrollment
string
required

Body

application/json
effective_from
string<date>
effective_to
string<date>

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("remittance_account_enrollment").

data
Remittance Account Enrollment · object